Bug 181790 - Create a UI for username/pass
Create a UI for username/pass
Product: Fedora
Classification: Fedora
Component: eclipse-bugzilla (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Igor Foox
Depends On:
Blocks: 181823
  Show dependency treegraph
Reported: 2006-02-16 11:30 EST by Igor Foox
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-27 14:01:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Igor Foox 2006-02-16 11:30:24 EST
We currently use a specially made username/pass to access the RH bugzilla. We
need to make a generic UI that will allow the user to enter or change these
value for any bugzilla instance and also a way to persist them between eclipse runs.
Comment 1 Igor Foox 2006-02-16 16:04:57 EST
Working on this right now.
Comment 2 Igor Foox 2006-02-23 11:13:58 EST
There apparently already is an Action class for this, I'll reuse it to prompt
for the password for bugzillas that need it (i.e. Red Hat's). I'll also need to
move the core functionality of storing the password and username in the Platform
database into BugzillaConfiguration.
Comment 3 Igor Foox 2006-02-27 14:01:03 EST
This is now added to the AddBugzilla wizard, if the information is not supplied
there the LoginAction is used to prompt the user for the user name and password.

Note You need to log in before you can comment on or make changes to this bug.